Bug 7403 - v 0.9.7 is out!
: v 0.9.7 is out!
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libquicktime)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-19 21:09 by
Modified: 2005-09-30 14:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-19 21:09:09
шумит все равно
но звук вроде получше... 
собрать бы надо.
я собрал в Backports к Master 2.4
News

    * 26. May 2005: libquicktime-0.9.7 released
      Another bugfix iteration. This time featuring:
          o Many compilation fixes for gcc4
          o Better detection for CPU specific gcc flags 
    * 21. May 2005: libquicktime-0.9.6 released
      Another bugfix iteration. This time featuring:
          o Fixes for NetBSD 2.0
          o Compilation now works with newer ffmpeg versions
          o Compilation should now happen without a single gcc warning 
    * 15. May 2005: libquicktime-0.9.5 released
      This is mostly a bugfix release, no major new features were added
          o All audio decoders should now decode up to the last sample.
          o Many smaller fixes
          o Header files are now installed into prefix/include/lqt to avoid
conflicts with the native Quicktime API on OSX
          o RPMs are no longer distributed, but there is still a .spec file so
you can make your own RPMs.
------- Comment #1 From 2005-08-26 22:21:27 -------
выпустил бакпорт 0.9.7
alt2 c моим патчем...
Выложите в Сизиф?
или может лучше отдадите мне этот пакет?
я сейчас в нем ковыряюсь, и мне он больше сейчас нужен.
Если Вам потом понадобится, с радостью отдам :)

описание патча.
--------------------------
Bug:
cinerella and other soft that use quicktime4linux or libquicktime 
crashes on opening large .mov files produced by my photo camera 
Minolta DimageZ3

patch:
patch for quicktime4linux/libquicktime

--- src/stbl.c	2002-12-15 03:51:59 +0200
+++ src/stbl.c	2005-08-23 11:04:50 +0300
@@ -114,7 +115,12 @@
 			{ quicktime_read_stss(file, &(stbl->stss)); }
 		else
 		if(quicktime_atom_is(&leaf_atom, "stsc"))
-			{ quicktime_read_stsc(file, &(stbl->stsc)); }
+			{ 
+			  quicktime_read_stsc(file, &(stbl->stsc));
+			  /* at least Minolta DimageZ3 pads stsc with zeroes 
+			   * so we need to jump to next atom explicitly */
+			  quicktime_atom_skip(file, &leaf_atom);
+			}
 		else
 		if(quicktime_atom_is(&leaf_atom, "stsz"))
 			{ quicktime_read_stsz(file, &(stbl->stsz)); }

patch for openquicktime

--- lib/stbl.c	2002-12-15 03:51:59 +0200
+++ lib/stbl.c	2005-08-23 11:04:50 +0300
@@ -114,7 +115,12 @@
 			{ oqt_read_stss(file, &(stbl->stss)); }
 		else
 		if(oqt_atom_is(&leaf_atom, "stsc"))
-			{ oqt_read_stsc(file, &(stbl->stsc)); }
+			{ 
+			  oqt_read_stsc(file, &(stbl->stsc));
+			  /* at least Minolta DimageZ3 pads stsc with zeroes 
+			   * so we need to jump to next atom explicitly */
+			  oqt_atom_skip(file, &leaf_atom);
+			}
 		else
 		if(oqt_atom_is(&leaf_atom, "stsz"))
 			{ oqt_read_stsz(file, &(stbl->stsz)); }

As you can see below, if mov file is large (approx. > 1MB)
my Minolta Dimage Z3 reserves a free space for another entry in stsc.
The atom itself is correct, because its size is right and 
number of entries is also right, 
so we need to skip to the boundary of the next atom properly.

Here is a piece of file dump: 

||||+---------------------------
|||||atom stbl:	len=1340	at pos 4782472
|||||/---------------------------
||||||atom stsd:	len=104	at pos 4782480
||||||Version=[0]
||||||Flags=[
------- Comment #2 From 2005-09-15 17:49:59 -------
выпустил бакпорт 0.9.7
altM24.2 c моим патчем...
Выложите c моим патчем в Сизиф?
------- Comment #3 From 2005-09-16 01:21:05 -------
Так может пакет заберёте? 
P.S. 
Патчи прикладываются через Create a New Atachment 
------- Comment #4 From 2005-09-17 01:05:16 -------
На нового мантейнера 
------- Comment #5 From 2005-09-29 14:57:18 -------
fixed in alt2